C  Does complex matmul use inner products (with conj) or not?

      program matest

      complex A(4, 4), B(4), C(4), D(4)

      A = (1.0, 1.0)
      B = (1.0, 1.0)
      C = MATMUL(A, B)
      D = DOTPRODUCT(B, B)
      print *, "Matrix product:"
      print *, C
      print *, "Dot product:"
      print *, D
      end program matest
